struct rio_ops
Prev | Structures | Next

## Name

struct rio_ops — Low-level RIO configuration space operations

## Synopsis

    struct rio_ops {
      int (* lcread) (int index, u32 offset, int len, u32 * data);
      int (* lcwrite) (int index, u32 offset, int len, u32 data);
      int (* cread) (int index, u16 destid, u8 hopcount, u32 offset, int len,u32 * data);
      int (* cwrite) (int index, u16 destid, u8 hopcount, u32 offset, int len,u32 data);
      int (* dsend) (int index, u16 destid, u16 data);
    };

## Members

lcread

  Callback to perform local (master port) read of config space.

lcwrite

  Callback to perform local (master port) write of config space.

cread

  Callback to perform network read of config space.

cwrite

  Callback to perform network write of config space.

dsend

  Callback to send a doorbell message.

Prev | Up | Next
struct rio_switch | Home | struct rio_driver